import request from '@/utils/request'

// 平台
export const plaDatas = [
    {label: '公司内部资源管理系统', value: 'erp'},
    {label: '公众号运营平台', value: 'system'},
    {label: '公众号消息服务', value: 'wx-msg'},
    {label: '书城', value: 'platform'},
    {label: '投放系统', value: 'qc-ads'},
    {label: '小程序', value: 'wxminapp'},
    {label: '电商商城', value: 'store'},
    {label: '腾讯广告服务', value: 'tx-ad'},
]
// 平台英文
export const sysDatas = ['erp', 'system', 'wx-msg', 'platform', 'qc-ads', 'wxminapp', 'store', 'tx-ad']

// 查询api树
export function getApis(data) {
    let url = '/erp/moduleApi/allOfTree'
    if (data) {
        url = url + `/${data}`
    }
    return request({
        url,
        method: 'GET'
    })
}

// 查询api目录树
export function getApiTrees() {
    return request({
        url: '/erp/moduleApi/allDirectoryOfTree',
        method: 'GET'
    })
}

// 添加API
export function addApi(data) {
    return request({
        url: '/erp/moduleApi',
        method: 'POST',
        data: data
    })
}
// 修改API
export function editApi(data) {
    let {id, ...param} = data
    return request({
        url: `/erp/moduleApi/${id}`,
        method: 'PUT',
        data: param
    })
}
// 删除API
export function delApi(id) {
    return request({
        url: `/erp/moduleApi/${id}`,
        method: 'DELETE',
    })
}

// 查询当前角色API
export function getRoleApis(roleId) {
    return request({
        url: `/erp/menu/getApis/${roleId}`,
        method: 'GET'
    })
}

// 设置当前角色API权限
export function addRoleApis(data) {
    let {roleId, apiIds} = data
    return request({
        url: `/erp/menu/configApi/${roleId}`,
        method: 'POST',
        data: apiIds
    })
}


// 设置当前角色API权限
export function refreshPower() {
    return request({
        url: `/erp/moduleApi/refreshPower`
    })
}


// 获取服务
export function getServer() {
    return request({
        url: `/erp/module/all`
    })
}